Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Class NonPersistentMetaData

    java.lang.Object
      org.apache.openjpa.meta.NonPersistentMetaData

All Implemented Interfaces:
  Serializable, Comparable, SourceTracker, Commentable, MetaDataContext

    public class NonPersistentMetaData

extends Object
implements Comparable, SourceTracker, Commentable, MetaDataContext, Serializable

Metadata about a persistence-aware type.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_NON_MAPPED_INTERFACE`
`static int` | `TYPE_PERSISTENCE_AWARE`

Fields inherited from interface org.apache.openjpa.lib.meta.SourceTracker
`SRC_ANNOTATIONS, SRC_OTHER, SRC_XML`

Fields inherited from interface org.apache.openjpa.lib.xml.Commentable
`EMPTY_COMMENTS`

Constructor Summary
`protected` | `NonPersistentMetaData(Class cls, MetaDataRepository repos, int type)`

Method Summary
`int` | `compareTo(Object o)`
`int` | `getColNumber()` Return the column number in the line of the file at which this instance was parsed.
`String[]` | `getComments()` Return comments, or empty array if none.
`Class` | `getDescribedType()` Persistence-aware type.
`int` | `getLineNumber()` Return the line number of the file at which this instance was parsed.
`int` | `getListingIndex()` The index in which this class was listed in the metadata.
`MetaDataRepository` | `getRepository()` Owning repository.
`String` | `getResourceName()` Return the domain-meaningful name of the resource that was loaded from this source.
`File` | `getSourceFile()` Return the file from which this instance was parsed.
`Object` | `getSourceScope()` Return the domain-dependent scope of this instance within its file.
`int` | `getSourceType()` Return the type of source.
`int` | `getType()` The type of metadata.
`void` | `setColNumber(int colNum)`
`void` | `setComments(String[] comments)` Set comments.
`void` | `setLineNumber(int lineNum)`
`void` | `setListingIndex(int index)` The index in which this field was listed in the metadata.
`void` | `setSource(File file, int srcType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_PERSISTENCE_AWARE

    public static final int TYPE_PERSISTENCE_AWARE

See Also:
  Constant Field Values

### TYPE_NON_MAPPED_INTERFACE

    public static final int TYPE_NON_MAPPED_INTERFACE

See Also:
  Constant Field Values

Constructor Detail

### NonPersistentMetaData

    protected NonPersistentMetaData(Class cls,
                                    MetaDataRepository repos,
                                    int type)

Method Detail

### getRepository

    public MetaDataRepository getRepository()

  Owning repository.

  Specified by:
    `getRepository` in interface `MetaDataContext`

### getDescribedType

    public Class getDescribedType()

  Persistence-aware type.

### getType

    public int getType()

  The type of metadata.

### getListingIndex

    public int getListingIndex()

  The index in which this class was listed in the metadata. Defaults to `-1` if this class was not listed in the metadata.

### setListingIndex

    public void setListingIndex(int index)

  The index in which this field was listed in the metadata. Defaults to `-1` if this class was not listed in the metadata.

### getSourceFile

    public File getSourceFile()

  Description copied from interface: `SourceTracker`
  Return the file from which this instance was parsed.

  Specified by:
    `getSourceFile` in interface `SourceTracker`

### getSourceScope

    public Object getSourceScope()

  Description copied from interface: `SourceTracker`
  Return the domain-dependent scope of this instance within its file.

  Specified by:
    `getSourceScope` in interface `SourceTracker`

### getSourceType

    public int getSourceType()

  Description copied from interface: `SourceTracker`
  Return the type of source.

  Specified by:
    `getSourceType` in interface `SourceTracker`

### setSource

    public void setSource(File file,
                          int srcType)

### getLineNumber

    public int getLineNumber()

  Description copied from interface: `SourceTracker`
  Return the line number of the file at which this instance was parsed.

  Specified by:
    `getLineNumber` in interface `SourceTracker`

### setLineNumber

    public void setLineNumber(int lineNum)

### getColNumber

    public int getColNumber()

  Description copied from interface: `SourceTracker`
  Return the column number in the line of the file at which this instance was parsed.

  Specified by:
    `getColNumber` in interface `SourceTracker`

### setColNumber

    public void setColNumber(int colNum)

### getResourceName

    public String getResourceName()

  Description copied from interface: `SourceTracker`
  Return the domain-meaningful name of the resource that was loaded from this source. I.e., if we had loaded the source for a Java class, this would return the name of the class.

  Specified by:
    `getResourceName` in interface `SourceTracker`

### getComments

    public String[] getComments()

  Description copied from interface: `Commentable`
  Return comments, or empty array if none.

  Specified by:
    `getComments` in interface `Commentable`

### setComments

    public void setComments(String[] comments)

  Description copied from interface: `Commentable`
  Set comments.

  Specified by:
    `setComments` in interface `Commentable`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.